# Class default

- Defined in src/test/utils/mocks/mockTextureManager.ts:10

#####
Index

### Constructors

constructor

### Properties

add
displayList
list
scene
textures

### Methods

container
existing
image
nineslice
polygon
rectangle
sprite
text

## Constructors

### constructor

- new default(scene): default

- #### Parameters

  - scene: any

  #### Returns default

  - Defined in src/test/utils/mocks/mockTextureManager.ts:17

## Properties

### add

add: any

- Defined in src/test/utils/mocks/mockTextureManager.ts:13

### displayList

displayList: any

- Defined in src/test/utils/mocks/mockTextureManager.ts:14

### list

list: any[] = []

- Defined in src/test/utils/mocks/mockTextureManager.ts:15

### `Private` scene

scene: any

- Defined in src/test/utils/mocks/mockTextureManager.ts:12

### `Private` textures

textures: Map<string, any>

- Defined in src/test/utils/mocks/mockTextureManager.ts:11

## Methods

### container

- container(x, y): default

- #### Parameters

  - x: any
  - y: any

  #### Returns default

  - Defined in src/test/utils/mocks/mockTextureManager.ts:36

### existing

- existing(obj): void

- #### Parameters

  - obj: any

  #### Returns void

  - Defined in src/test/utils/mocks/mockTextureManager.ts:48

### image

- image(x, y, texture): default

- #### Parameters

  - x: any
  - y: any
  - texture: any

  #### Returns default

  - Defined in src/test/utils/mocks/mockTextureManager.ts:68

### nineslice

- nineslice(x, y, texture, frame, width, height, leftWidth, rightWidth, topHeight, bottomHeight): default

- #### Parameters

  - x: any
  - y: any
  - texture: any
  - frame: any
  - width: any
  - height: any
  - leftWidth: any
  - rightWidth: any
  - topHeight: any
  - bottomHeight: any

  #### Returns default

  - Defined in src/test/utils/mocks/mockTextureManager.ts:62

### polygon

- polygon(x, y, content, fillColor, fillAlpha): default

- #### Parameters

  - x: any
  - y: any
  - content: any
  - fillColor: any
  - fillAlpha: any

  #### Returns default

  - Defined in src/test/utils/mocks/mockTextureManager.ts:80

### rectangle

- rectangle(x, y, width, height, fillColor): default

- #### Parameters

  - x: any
  - y: any
  - width: any
  - height: any
  - fillColor: any

  #### Returns default

  - Defined in src/test/utils/mocks/mockTextureManager.ts:56

### sprite

- sprite(x, y, texture): default

- #### Parameters

  - x: any
  - y: any
  - texture: any

  #### Returns default

  - Defined in src/test/utils/mocks/mockTextureManager.ts:42

### text

- text(x, y, content, styleOptions): default

- #### Parameters

  - x: any
  - y: any
  - content: any
  - styleOptions: any

  #### Returns default

  - Defined in src/test/utils/mocks/mockTextureManager.ts:74